HP Views Designer Assistant: InformationScreenOptions Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
InformationScreenOptions Class Reference

The InformationScreenOptions class. More...

`#include <informationscreenoptions.h>`

Inheritance diagram for InformationScreenOptions:

## Public Member Functions

| InformationScreenOptions (bool hasIcons, QWidget *parent=0)
| InformationScreenOptions constructor. More...
void | showError (QString error)
| showError Show an error message. More...
void | showSuccess (QString success)
| showSuccess Show a success message. More...
void | showInfo (QString info)
| showInfo Show an information message. More...
void | setController (Controller *controller)
| setController Sets the information screen controller. More...
QString | getCardTitle ()
| getCardTitle Returns the card title. More...
QString | getPropertyName ()
| getPropertyName Returns the property name. More...
QString | getPropertyValue ()
| getPropertyValue Returns the property value. More...
void | addProperty (QString name)
| addProperty Adds property to the properties list. More...
void | showProperty (QStringList property)
| showProperty Shows the name and the value of the property. More...
int | getCurrentIndexProperty ()
| getCurrentIndexProperty Returns the index of the current property. More...
void | updatePropertyList (bool isChange, int index, QString property)
| updatePropertyList Updates the property list. More...
void | setProgress (int progress)
| setProgress Updates progress bar. More...
QString | getCardImage ()
| getCardImage Returns card image path. More...
void | disableAddBtn ()
| disableAddBtn Disables add property button.
void | isPropertyFill ()
| isPropertyFill Checks if the property has name and value fields.
void | clearPropertyInput ()
| clearPropertyInput Clears property name and property value inputs.
void | clear ()
| clear Clears all of the inputs of the information screen.
void | setCardTitle (QString title)
| setCardTitle Sets the card title. More...
void | setCardImage (QString path)
| setCardImage Sets the card image. More...
Public Member Functions inherited from View
| View (QWidget *parent)
| View constructor. More...
void | show (QPoint position, QSize size)
| show Shows the view. More...

## Private Slots

void | on_helpBtn_clicked ()
| on_helpBtn_clicked This slot is executed when help button is clicked.
void | on_homeBtn_clicked ()
| on_homeBtn_clicked This slot is executed when home button is clicked.
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked This slot is executed settings help button is clicked.
void | on_titleInput_textEdited ()
| on_titleInput_textEdited This slot is executed when title input is changed.
void | on_propertyInput_textChanged ()
| on_propertyInput_textChanged This slot is executed when property name input is changed.
void | on_valueInput_textChanged ()
| on_valueInput_textChanged This slot is executed when property value input is changed.
void | on_addPropertyBtn_clicked ()
| on_addPropertyBtn_clicked This slot is executed when add property button is clicked.
void | on_removePropertyBtn_clicked ()
| on_removePropertyBtn_clicked This slot is executed when remove property button is clicked.
void | on_editPropertyBtn_clicked ()
| on_editPropertyBtn_clicked This slot is executed when edit property button is clicked.
void | on_propertiesList_itemClicked ()
| on_propertiesList_itemClicked This slot is executed when property item is clicked.
void | on_continueBtn_clicked ()
| on_continueBtn_clicked This slot is executed when continue button is clicked.
void | on_browseBtn_clicked ()
| on_browseBtn_clicked This slot is executed when browse button is clicked.
void | on_hpIconBtn_clicked ()
| on_hpIconBtn_clicked This slot is executed when back button is clicked.

## Private Member Functions

void | initElements ()
| initElements Initialices the elements.
void | setValidators ()
| setValidators Sets the input validators.
void | isFullFill ()
| isFullFill Checks if all of the elements have a value.
void | hideIconElements ()
| hideIconElements Hides icon elements.
void | showPropertyOptions ()
| showPropertyOptions Shows property options.
void | setToolTips ()
| setToolTips Sets buttons help.
void | setIconImage (QString path)
| setIconImage Set icon image. More...

## Private Attributes

Ui::InformationScreenOptions * | ui
| ui

## Additional Inherited Members

Protected Member Functions inherited from View
void | setIntValidators (QLineEdit *input, int min, int max)
| setIntValidators Sets a numeric validator to an input. More...
QString | selectImage ()
| selectImage Selects an system image. More...
int | checkNumberElements (int numberOfElements)
| checkNumberElements Checks if the number of elements are correct More...
QString | getRootHelpPath ()
| getRootHelpPath Returns the root help app path. More...
Protected Attributes inherited from View
QPoint | currentPosition
| currentPosition Current position of the view.
Controller * | controller
| controller Views controller.

## Detailed Description

The InformationScreenOptions class.

## Constructor & Destructor Documentation

## ◆ InformationScreenOptions()

InformationScreenOptions::InformationScreenOptions | ( | bool | hasIcons,
|  | QWidget * | parent = `0`
| ) |  |

explicit

InformationScreenOptions constructor.

Parameters

  hasIcons | Whether the information screen has icons.
  parent | Information Screen parent widget.

## Member Function Documentation

## ◆ addProperty()

void InformationScreenOptions::addProperty | ( | QString | name | ) |

addProperty Adds property to the properties list.

Parameters

  name | Name of the property.

## ◆ getCardImage()

QString InformationScreenOptions::getCardImage | ( |  | ) |

getCardImage Returns card image path.

Returns
  Image path.

## ◆ getCardTitle()

QString InformationScreenOptions::getCardTitle | ( |  | ) |

getCardTitle Returns the card title.

Returns
  Card title.

## ◆ getCurrentIndexProperty()

int InformationScreenOptions::getCurrentIndexProperty | ( |  | ) |

getCurrentIndexProperty Returns the index of the current property.

Returns
  Property index.

## ◆ getPropertyName()

QString InformationScreenOptions::getPropertyName | ( |  | ) |

getPropertyName Returns the property name.

Returns
  Property name.

## ◆ getPropertyValue()

QString InformationScreenOptions::getPropertyValue | ( |  | ) |

getPropertyValue Returns the property value.

Returns
  Property value.

## ◆ setCardImage()

void InformationScreenOptions::setCardImage | ( | QString | path | ) |

setCardImage Sets the card image.

Parameters

  path | Image path.

## ◆ setCardTitle()

void InformationScreenOptions::setCardTitle | ( | QString | title | ) |

setCardTitle Sets the card title.

Parameters

  title | Card title.

## ◆ setController()

void InformationScreenOptions::setController | ( | Controller * | controller | ) |

setController Sets the information screen controller.

Parameters

  controller | Information screen controller.

## ◆ setIconImage()

void InformationScreenOptions::setIconImage | ( | QString | path | ) |

private

setIconImage Set icon image.

Parameters

  path | Image path.

## ◆ setProgress()

void InformationScreenOptions::setProgress | ( | int | progress | ) |

setProgress Updates progress bar.

Parameters

  progress | Progress value.

## ◆ showError()

void InformationScreenOptions::showError | ( | QString | error | ) |

virtual

showError Show an error message.

Parameters

  error | Message to show.

Implements View.

## ◆ showInfo()

void InformationScreenOptions::showInfo | ( | QString | info | ) |

virtual

showInfo Show an information message.

Parameters

  info | Message to show.

Implements View.

## ◆ showProperty()

void InformationScreenOptions::showProperty | ( | QStringList | property | ) |

showProperty Shows the name and the value of the property.

Parameters

  property | Property to show.

## ◆ showSuccess()

void InformationScreenOptions::showSuccess | ( | QString | success | ) |

virtual

showSuccess Show a success message.

Parameters

  success | Message to show.

Implements View.

## ◆ updatePropertyList()

void InformationScreenOptions::updatePropertyList | ( | bool | isChange,
|  | int | index,
|  | QString | property
| ) |  |

updatePropertyList Updates the property list.

Parameters

  isChange | Whether the property has been changed.
  index | Property index.
  property | Property.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/informationscreenoptions.h
- D:/Documentos/ViewDesignerAssistant/View/informationscreenoptions.cpp